#
# spec file for package python3-pydruid
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python3-pydruid
Version:        0.3.0
Release:        1.8
License:        Apache-2.0
Summary:        A Python connector for Druid
Url:            http://pypi.python.org/pypi/pydruid/
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/8f/38/4982dcbe41600cc7a31206679feee162a514b5a936b8582498dc474b11b5/pydruid-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-six >= 1.9.0
# test requirements
BuildRequires:  python3-mock
BuildRequires:  python3-pytest
BuildRequires:  python3-six
Requires:       python3-six >= 1.9.0
Recommends:     python3-tornado
Recommends:     python3-pandas
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
See https://github.com/druid-io/pydruid for more information.

%prep
%setup -q -n pydruid-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
export LANG=en_US.UTF-8
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.md
%{python3_sitelib}/*

%changelog
* Fri Sep 16 2016 toddrme2178@gmail.com
- Initial version
